summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorunknown <tomas@mc05.(none)>2004-04-15 15:43:10 +0200
committerunknown <tomas@mc05.(none)>2004-04-15 15:43:10 +0200
commit84c571d89ddc52d97b7ae0b9ebbe541e882b4fa8 (patch)
tree9b4cbf09c4a45e1258c86aa75c4ecf94d0212414 /scripts
parent689d0a0ad571ac8185c0df799ac65b8b34f3ea48 (diff)
downloadmariadb-git-84c571d89ddc52d97b7ae0b9ebbe541e882b4fa8.tar.gz
make_binary_distribution.sh:
added --with-ndbcluster switch scripts/make_binary_distribution.sh: added --with-ndbcluster switch
Diffstat (limited to 'scripts')
-rw-r--r--scripts/make_binary_distribution.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/make_binary_distribution.sh b/scripts/make_binary_distribution.sh
index 6a13af09f4e..3261ec309d4 100644
--- a/scripts/make_binary_distribution.sh
+++ b/scripts/make_binary_distribution.sh
@@ -17,6 +17,7 @@ DEBUG=0
SILENT=0
TMP=/tmp
SUFFIX=""
+NDBCLUSTER=
parse_arguments() {
for arg do
@@ -26,6 +27,7 @@ parse_arguments() {
--suffix=*) SUFFIX=`echo "$arg" | sed -e "s;--suffix=;;"` ;;
--no-strip) STRIP=0 ;;
--silent) SILENT=1 ;;
+ --with-ndbcluster) NDBCLUSTER=1 ;;
*)
echo "Unknown argument '$arg'"
exit 1
@@ -245,6 +247,18 @@ if [ -d $BASE/sql-bench/SCCS ] ; then
find $BASE/sql-bench -name SCCS -print | xargs rm -r -f
fi
+# NDB Cluster
+if [ x$NDBCLUSTER = x1 ]; then
+ if [ ! -f ndb/BinDist.sh ]; then
+ echo "Missing ndb/BinDist.sh"; exit 1
+ fi
+ mkdir $BASE/ndb || exit 1
+ # assume we have cpio..
+ if (cd ndb && sh BinDist.sh | cpio -pdm $BASE/ndb); then :; else
+ echo "Copy failed - missing files in ndb/BinDist.sh ?"; exit 1
+ fi
+fi
+
# Change the distribution to a long descriptive name
NEW_NAME=mysql@MYSQL_SERVER_SUFFIX@-$version-$system-$machine$SUFFIX
BASE2=$TMP/$NEW_NAME